# Checks whether the jafar tool is still WAI.
name: jafar
on:
  push:
    branches:
      - "release/**"
      - "fullbuild"

jobs:
  test:
    runs-on: ubuntu-22.04
    steps:
      - uses: actions/checkout@v3

      - name: Get GOVERSION content
        id: goversion
        run: echo ::set-output name=version::$(cat GOVERSION)

      - uses: magnetikonline/action-golang-cache@v4
        with:
          go-version: "${{ steps.goversion.outputs.version }}"
          cache-key-suffix: "-jafar-${{ steps.goversion.outputs.version }}"

      - run: go build -v ./internal/cmd/jafar

      - run: sudo ./script/testjafar.bash
